Index: lib/style/skins/saeon/upload.jsp
===================================================================
--- lib/style/skins/saeon/upload.jsp	(revision 4079)
+++ lib/style/skins/saeon/upload.jsp	(revision 4080)
@@ -40,13 +40,13 @@
             function getMapFrame() {
                 return document.getElementById('mapFrame');
             }
-            insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateOpening("<%=CONTEXT_URL%>");
         </script>
         
         <jsp:include page="SaeonUpload.jspx" />
         
         <script language="JavaScript">
-            insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateClosing("<%=CONTEXT_URL%>");
         </script>
     </body>
 </html>
Index: lib/style/skins/saeon/index.jsp
===================================================================
--- lib/style/skins/saeon/index.jsp	(revision 4079)
+++ lib/style/skins/saeon/index.jsp	(revision 4080)
@@ -36,7 +36,7 @@
     </head>
     <body>
         <script language="JavaScript">
-            insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateOpening("<%=CONTEXT_URL%>");
         </script>
         
         <!-- Main content -->
@@ -44,7 +44,7 @@
         
         <!-- wrap it up with the closing -->
         <script language="JavaScript">
-            insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateClosing("<%=CONTEXT_URL%>");
         </script>
     </body>
 </html>
Index: lib/style/skins/lter/index_document.jsp
===================================================================
--- lib/style/skins/lter/index_document.jsp	(revision 4079)
+++ lib/style/skins/lter/index_document.jsp	(revision 4080)
@@ -53,9 +53,9 @@
 
 <body>
   <script language="javascript">
-	insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+	insertTemplateOpening("<%=CONTEXT_URL%>");
     insertDocument("<%=SERVLET_URL%>,<%= docid %>");
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
   </script>
 </body>
 
Index: lib/style/skins/lter/index_advancedsearch.jsp
===================================================================
--- lib/style/skins/lter/index_advancedsearch.jsp	(revision 4079)
+++ lib/style/skins/lter/index_advancedsearch.jsp	(revision 4080)
@@ -49,10 +49,10 @@
 
 <body>
   <script language="javascript">
-	  insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-      // insertLoginBox("<%=SERVER_URL_WITH_CONTEXT%>");
-	  insertAdvancedSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertTemplateOpening("<%=CONTEXT_URL%>");
+      // insertLoginBox("<%=CONTEXT_URL%>");
+	  insertAdvancedSearchBox("<%=CONTEXT_URL%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
   </script>
 </body>
 
Index: lib/style/skins/esa/moderator.jsp
===================================================================
--- lib/style/skins/esa/moderator.jsp	(revision 4079)
+++ lib/style/skins/esa/moderator.jsp	(revision 4080)
@@ -1,4 +1,4 @@
-<%@ page    language="java" %>
+<%@ page    language="java" import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil"%>
 <%
 /*
  *  '$RCSfile$'
@@ -29,12 +29,17 @@
  */
 %>
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
+<% 
+	Vector<String> organizationList = LDAPUtil.getOrganizations();
+%>
+
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
 <head>
 <title>ESA Data Repository</title>
-<link rel="stylesheet" href="<%=SERVER_URL_WITH_CONTEXT%>/style/default.css" type="text/css">
+<link rel="stylesheet" href="<%=CONTEXT_URL%>/style/default.css" type="text/css">
   <link rel="stylesheet" type="text/css" 
         href="<%=STYLE_SKINS_URL%>/esa/esa.css"></link>
   <script language="JavaScript" type="text/JavaScript"
@@ -82,8 +87,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          insertSearchBox("<%=CONTEXT_URL%>");
       </script>
   <b>Login Page for Moderators</b>
   <br />
@@ -113,15 +118,13 @@
         "padding-top: 2px; padding-bottom: 2px;"><select name=
         "organization" style="width:140px;">
           <option value=""    selected>&#8212; choose one &#8212;</option>
-          <option value="NCEAS"       >NCEAS</option>
-          <option value="LTER"        >LTER</option>
-          <option value="KU"          >KU</option>
-          <option value="OBFS"        >OBFS</option>
-          <option value="OSUSB"       >OSUSB</option>
-          <option value="PISCO"       >PISCO</option>
-          <option value="SDSC"        >SDSC</option>
-          <option value="UCNRS"       >UCNRS</option>
-          <option value="unaffiliated">unaffiliated</option>
+<%
+		for (String orgName : organizationList) {
+%>      
+          <option value="<%= orgName %>"><%= orgName %></option>
+<%
+		}
+%>  
         </select></td>
       </tr>
 
@@ -154,7 +157,7 @@
   </li>
   <p>&nbsp;</p>
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/knb2/index2.jsp
===================================================================
--- lib/style/skins/knb2/index2.jsp	(revision 4079)
+++ lib/style/skins/knb2/index2.jsp	(revision 4080)
@@ -1,4 +1,4 @@
-<%@ page    language="java" %>
+<%@ page    language="java"  import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil"%>
 <%
  /**
   *  '$RCSfile$'
@@ -32,8 +32,12 @@
 %>
 <%@ include file="PORTAL_SETTINGS.jsp"%>
 <%@ include file="include_session_vars.jsp"%>
-<%@ page import="edu.ucsb.nceas.metacat.MetaCatUtil" %>
+<%@ page import="edu.ucsb.nceas.metacat.service.PropertyService" %>
 
+<% 
+	Vector<String> organizationList = LDAPUtil.getOrganizations();
+%>
+
 <%
 ///////////////////////////////////////////////////////////////////////////////
 //
@@ -106,7 +110,7 @@
 		</div>
 	</td>
 	<td align="center" width="33%">
-	<% if ( MetaCatUtil.getOption("runSpatialOption").equals("true") ) { %>
+	<% if ( PropertyService.getProperty("runSpatialOption").equals("true") ) { %>
 	  <a href="./index_map_only.jsp" style="border:none"><img height="120" width="240" style="background-color: #C8E5F5; border: 1px solid #ccc" src="http://indus.msi.ucsb.edu:8180/knb/wms?VERSION=1.1.1&REQUEST=GetMap&SERVICE=WMS&LAYERS=metacat:world_borders,metacat:data_bounds,metacat:data_points&SRS=EPSG:4326&BBOX=-180,-90,180,90&WIDTH=240&HEIGHT=120&FORMAT=image/gif&STYLES=&TRANSPARENT=TRUE&UNIQUEID="> <br/> <span style="font-size:8pt"> Click to View Interactive Map </span> </a>
 	<% } %>
 	</td>
@@ -169,14 +173,13 @@
                                 <select name="organization" style="width:140px;" <%=loginEnabledDisabled%>>
                                   <option value=""       <%=((posted_organization.length()<1)?                 "selected":"")%>>&#8212;
                                   choose one &#8212;</option>
-                                  <option value="NCEAS"        <%=((posted_organization.equalsIgnoreCase("NCEAS"))?        "selected":"")%>>NCEAS</option>
-                                  <option value="LTER"         <%=((posted_organization.equalsIgnoreCase("LTER"))?         "selected":"")%>>LTER</option>
-                                  <option value="UCNRS"          <%=((posted_organization.equalsIgnoreCase("UCNRS"))?          "selected":"")%>>UCNRS</option>
-                                  <option value="PISCO"        <%=((posted_organization.equalsIgnoreCase("PISCO"))?        "selected":"")%>>PISCO</option>
-                                  <option value="OBFS"         <%=((posted_organization.equalsIgnoreCase("OBFS"))?         "selected":"")%>>OBFS</option>
-                                  <option value="SDSC"         <%=((posted_organization.equalsIgnoreCase("SDSC"))?         "selected":"")%>>SDSC</option>
-                                  <option value="KU"         <%=((posted_organization.equalsIgnoreCase("KU"))?         "selected":"")%>>KU</option>
-                                  <option value="unaffiliated" <%=((posted_organization.equalsIgnoreCase("unaffiliated"))? "selected":"")%>>unaffiliated</option>
+<%
+							for (String orgName : organizationList) {
+%> 
+                                  <option value="<%= orgName %>"        <%=((posted_organization.equalsIgnoreCase(orgName))?    "selected":"")%>><%= orgName %></option>
+<%
+							}
+%> 
                                 </select></td>
                             </tr>
                             <tr valign="middle">
Index: lib/style/skins/specnet/header.jsp
===================================================================
--- lib/style/skins/specnet/header.jsp	(revision 4079)
+++ lib/style/skins/specnet/header.jsp	(revision 4080)
@@ -25,6 +25,7 @@
  %>
 
  <%@ include file="../../common/common-settings.jsp"%>
+ <%@ include file="../../common/configure-check.jsp"%>
 
 <!--____________________________max_width____________________________________-->
 
Index: lib/style/skins/nrs/searchform.jsp
===================================================================
--- lib/style/skins/nrs/searchform.jsp	(revision 4079)
+++ lib/style/skins/nrs/searchform.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <form method="POST" action="<%=SERVLET_URL%>" target="_top">
 Search for: 
Index: lib/style/skins/saeon/settings.jsp
===================================================================
--- lib/style/skins/saeon/settings.jsp	(revision 4079)
+++ lib/style/skins/saeon/settings.jsp	(revision 4080)
@@ -30,6 +30,7 @@
  %>
 
  <%@ include file="../../common/common-settings.jsp"%>
+ <%@ include file="../../common/configure-check.jsp"%>
 
  <% 
 	
Index: lib/style/skins/lter/settings.jsp
===================================================================
--- lib/style/skins/lter/settings.jsp	(revision 4079)
+++ lib/style/skins/lter/settings.jsp	(revision 4080)
@@ -31,6 +31,7 @@
  %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <%
 //Global settings for metacat are in common-settings.jsp.  Use this file to
Index: lib/style/skins/lter/index_advancedbrowse.jsp
===================================================================
--- lib/style/skins/lter/index_advancedbrowse.jsp	(revision 4079)
+++ lib/style/skins/lter/index_advancedbrowse.jsp	(revision 4080)
@@ -49,9 +49,9 @@
 
 <body>
   <script language="javascript">
-	  insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-    insertAdvancedBrowseBox("<%=SERVER_URL_WITH_CONTEXT%>");
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertTemplateOpening("<%=CONTEXT_URL%>");
+    insertAdvancedBrowseBox("<%=CONTEXT_URL%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
   </script>
 </body>
 
Index: lib/style/skins/esa/searchform.jsp
===================================================================
--- lib/style/skins/esa/searchform.jsp	(revision 4079)
+++ lib/style/skins/esa/searchform.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <form method="POST" action="<%=SERVLET_URL%>" target="_top">
 Search for: 
Index: lib/style/skins/knb/harvesterRegistrationLogin.jsp
===================================================================
--- lib/style/skins/knb/harvesterRegistrationLogin.jsp	(revision 4079)
+++ lib/style/skins/knb/harvesterRegistrationLogin.jsp	(revision 4080)
@@ -1,4 +1,4 @@
-<%@ page    language="java" %>
+<%@ page    language="java" import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil"%>
 <%
 /**
  * '$RCSfile$'
@@ -24,7 +24,11 @@
  */
  %>
 
- <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/common-settings.jsp"%>
+ 
+<% 
+	Vector<String> organizationList = LDAPUtil.getOrganizations();
+%> 
 
 <html> 
 <head>
@@ -41,7 +45,7 @@
 
 <form name="myform" 
       method="POST" 
-      action="<%=SERVER_URL_WITH_CONTEXT%>/harvesterRegistrationLogin">
+      action="<%=CONTEXT_URL%>/harvesterRegistrationLogin">
 
 <table width=400 align=center cellspacing=1 cellpadding=1 
        border=0 bgcolor="#333366">
@@ -75,13 +79,13 @@
             </font>
           </td>
           <td>
-            <input type="radio" name="o" value="NCEAS">NCEAS
-            <input type="radio" name="o" value="LTER">LTER
-            <input type="radio" name="o" value="NRS">NRS
-            <br>
-            <input type="radio" name="o" value="PISCO">PISCO
-            <input type="radio" name="o" value="OBFS">OBFS
-            <input type="radio" name="o" value="Unaffiliated">Unaffiliated
+<%
+		for (String orgName : organizationList) {
+%>       
+            <input type="radio" name="o" value="<%= orgName %>"><%= orgName %>
+<%
+			}
+%> 
         </tr>
         <tr>
           <td width='10%'> &nbsp;</td>
Index: lib/style/skins/esa/ESAHeader.jsp
===================================================================
--- lib/style/skins/esa/ESAHeader.jsp	(revision 4079)
+++ lib/style/skins/esa/ESAHeader.jsp	(revision 4080)
@@ -1,6 +1,8 @@
 <%@page contentType="text/html"%>
 <%@page pageEncoding="UTF-8"%>
-<%@page import="edu.ucsb.nceas.metacat.MetaCatUtil"%>
+<%@page import="edu.ucsb.nceas.metacat.util.MetaCatUtil"%>
+<%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 
@@ -67,7 +69,7 @@
             <tr>
                 <td><a href="http://www.esa.org/" target="_top" onMouseOut="MM_swapImgRestore();" onMouseOver="MM_swapImage('ESAHome2','','ESAHeaderSlices/ESAHome2_f2.gif','ESAHome2','','ESAHeaderSlices/RollOvers/ESAHomeR.gif',1);"><img name="ESAHome2" src="ESAHeaderSlices/ESAHome2.gif" width="78" height="17" border="0" alt="ESA Home"></a></td>
                 <td colspan="2"><a href="./index.jsp" target="_top" onMouseOut="MM_swapImgRestore();" onMouseOver="MM_swapImage('ESARegistry2','','ESAHeaderSlices/RollOvers/ESARegistryR.gif',1);"><img name="ESARegistry2" src="ESAHeaderSlices/ESARegistry2.gif" width="102" height="17" border="0" alt="Registry Home"></a></td>
-                <td><a href="<%= MetaCatUtil.getOption("cgi-prefix") %>/register-dataset.cgi?cfg=esa" target="_top" onMouseOut="MM_swapImgRestore();" onMouseOver="MM_swapImage('ESARegisterNewData','','ESAHeaderSlices/RollOvers/ESANewDataSetR.gif',1);"><img name="ESARegisterNewData" src="ESAHeaderSlices/ESARegisterNewData.gif" width="154" height="17" border="0" alt="Register a New Data Set"></a></td>
+                <td><a href="<%= CGI_URL %>/register-dataset.cgi?cfg=esa" target="_top" onMouseOut="MM_swapImgRestore();" onMouseOver="MM_swapImage('ESARegisterNewData','','ESAHeaderSlices/RollOvers/ESANewDataSetR.gif',1);"><img name="ESARegisterNewData" src="ESAHeaderSlices/ESARegisterNewData.gif" width="154" height="17" border="0" alt="Register a New Data Set"></a></td>
                 <td colspan="2"><a href="./index.jsp#search" target="_top" onMouseOut="MM_swapImgRestore();" onMouseOver="MM_swapImage('ESASearch','','ESAHeaderSlices/RollOvers/ESASearchR.gif',1);"><img name="ESASearch" src="ESAHeaderSlices/ESASearch.gif" width="102" height="17" border="0" alt="Search for Data"></a></td>
                 <td><a href="#" target="_top" onMouseOut="MM_swapImgRestore();" onMouseOver="MM_swapImage('ESALogin','','ESAHeaderSlices/RollOvers/ESALoginR.gif',1);"><img name="ESALogin" src="ESAHeaderSlices/ESALogin.gif" width="57" height="17" border="0" alt="Login"></a></td>
                 <td rowspan="4"><img name="ESAHeader_r4_c10" src="ESAHeaderSlices/ESAHeader_r4_c10.gif" width="48" height="51" border="0" alt=""></td>
Index: lib/style/skins/esa/map.jsp
===================================================================
--- lib/style/skins/esa/map.jsp	(revision 4079)
+++ lib/style/skins/esa/map.jsp	(revision 4080)
@@ -29,12 +29,13 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
     
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
 <head>
 <title>ESA Data Registry Interactive Map</title>
-<link rel="stylesheet" href="<%=SERVER_URL_WITH_CONTEXT%>/style/default.css" type="text/css">
+<link rel="stylesheet" href="<%=CONTEXT_URL%>/style/default.css" type="text/css">
   <link rel="stylesheet" type="text/css" 
         href="<%=STYLE_SKINS_URL%>/esa/esa.css"></link>
   <script language="JavaScript" type="text/JavaScript"
@@ -44,8 +45,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          //insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          //insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 
 <iframe scrolling="no" frameborder="0" width="750" height="520" src="spatial/map.jsp">
@@ -53,7 +54,7 @@
 </iframe>
 
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/dev/settings.jsp
===================================================================
--- lib/style/skins/dev/settings.jsp	(revision 4079)
+++ lib/style/skins/dev/settings.jsp	(revision 4080)
@@ -1,37 +1,36 @@
 <%@ page errorPage="jsperrorpage.html" %>
-<%@ page import="edu.ucsb.nceas.metacat.MetaCatUtil" %>
+<%@ page import="edu.ucsb.nceas.metacat.util.SystemUtil" %>
 <%
-/*
- *   '$RCSfile$'
- *     Authors: Matthew Brooke
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- * For Details: http://www.nceas.ucsb.edu/
- *
- *    '$Author$'
- *      '$Date$'
- *  '$Revision$'
- *
- * Settings file for the default metacat skin
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- */
+	 /*
+	 *   '$RCSfile$'
+	 *     Authors: Matthew Brooke
+	 *   Copyright: 2000 Regents of the University of California and the
+	 *              National Center for Ecological Analysis and Synthesis
+	 * For Details: http://www.nceas.ucsb.edu/
+	 *
+	 *    '$Author$'
+	 *      '$Date$'
+	 *  '$Revision$'
+	 *
+	 * Settings file for the default metacat skin
+	 *
+	 * This program is free software; you can redistribute it and/or modify
+	 * it under the terms of the GNU General Public License as published by
+	 * the Free Software Foundation; either version 2 of the License, or
+	 * (at your option) any later version.
+	 *
+	 * This program is distributed in the hope that it will be useful,
+	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
+	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	 * GNU General Public License for more details.
+	 *
+	 * You should have received a copy of the GNU General Public License
+	 * along with this program; if not, write to the Free Software
+	 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+	 */
 %>
 
-<% 
-  // This is a special case where we do not include style/common/common-settings.jsp  
-  String  LOCAL_SERVLET_URL  = 
-     MetaCatUtil.getOption("httpserver") + "/" + MetaCatUtil.getOption("context") + "/metacat";
+<%
+	// This is a special case where we do not include style/common/common-settings.jsp  
+	String LOCAL_SERVLET_URL = SystemUtil.getServletURL();
 %>
\ No newline at end of file
Index: lib/style/common/ClientViewHelper.jspx
===================================================================
--- lib/style/common/ClientViewHelper.jspx	(revision 4079)
+++ lib/style/common/ClientViewHelper.jspx	(revision 4080)
@@ -3,7 +3,7 @@
     
     <jsp:directive.page contentType="text/html;charset=UTF-8"/>
     <jsp:directive.page import="com.oreilly.servlet.multipart.MultipartParser"/>
-    <jsp:directive.page import="edu.ucsb.nceas.metacat.MetaCatUtil"/>
+    <jsp:directive.page import="edu.ucsb.nceas.metacat.service.PropertyService"/>
     <jsp:directive.page import="java.io.*"/>
     <jsp:directive.page import="javax.servlet.*"/>
     <jsp:directive.page import="javax.servlet.http.*"/>
@@ -24,7 +24,7 @@
         if (contentType != null &amp;&amp; (contentType.indexOf("multipart/form-data") > -1)) {
             //*** Process request here if a file update.
             //*** Init the MultipartParser.
-            sizeLimit = (new Integer(MetaCatUtil.getOption("datafilesizelimit"))).intValue();
+            sizeLimit = (new Integer(PropertyService.getProperty("datafilesizelimit"))).intValue();
             multipartParser = new MultipartParser(request, sizeLimit * 1024 * 1024);
             message = clientHelper.handleFileUpdate(multipartParser);
         } else {
Index: src/upgrade-db-to-1.4.sql
===================================================================
--- src/upgrade-db-to-1.4.sql	(revision 4079)
+++ src/upgrade-db-to-1.4.sql	(revision 4080)
@@ -101,10 +101,10 @@
  * Update the XML_CATALOG table with new entries, and change old ones
  */
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@eml2_0_1namespace@', '@systemidserver@@html-path@/schema/eml-2.0.1/eml.xsd');
+  VALUES ('Schema', '@eml2_0_1namespace@', '/schema/eml-2.0.1/eml.xsd');
 UPDATE xml_catalog
-  SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.0/eml.xsd'
+  SET system_id = '/schema/eml-2.0.0/eml.xsd'
   WHERE public_id = '@eml2_0_0namespace@';
 UPDATE xml_catalog
-  SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.0/stmml.xsd'
+  SET system_id = '/schema/eml-2.0.0/stmml.xsd'
   WHERE public_id = '@stmmlnamespace@';
Index: src/upgrade-db-to-1.5-postgres.sql
===================================================================
--- src/upgrade-db-to-1.5-postgres.sql	(revision 4079)
+++ src/upgrade-db-to-1.5-postgres.sql	(revision 4080)
@@ -30,49 +30,49 @@
  * to local schema or dtd file.
  */
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-access-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-access-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-access-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-attribute-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-attribute-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-attribute-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-constraint-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-constraint-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-constraint-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-coverage-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-coverage-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-coverage-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-coverage-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-coverage-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-coverage-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-dataset-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-dataset-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-dataset-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-entity-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-entity-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-entity-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-literature-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-literature-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-literature-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-physical-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-physical-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-physical-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-project-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-project-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-project-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-protocol-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-protocol-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-protocol-@eml-version@//EN';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/dtd/eml-software-@eml-version@.dtd'
+   SET system_id = '/dtd/eml-software-@eml-version@.dtd'
    WHERE public_id = '-//ecoinformatics.org//eml-software-@eml-version@//EN';
 UPDATE xml_catalog
-  SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.0/eml.xsd'
+  SET system_id = '/schema/eml-2.0.0/eml.xsd'
   WHERE public_id = '@eml2_0_0namespace@';
 UPDATE xml_catalog
-  SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.1/eml.xsd'
+  SET system_id = '/schema/eml-2.0.1/eml.xsd'
   WHERE public_id = '@eml2_0_1namespace@';
 UPDATE xml_catalog 
-   SET system_id = '@systemidserver@@html-path@/schema/eml-2.0.0/stmml.xsd'
+   SET system_id = '/schema/eml-2.0.0/stmml.xsd'
    WHERE public_id = '@stmmlnamespace@';
    
 /*
@@ -84,8 +84,8 @@
     WHERE docid IN (SELECT docid from xml_documents WHERE doctype LIKE 'eml://ecoinformatics.org/eml-2.0.1');
 
 
+CREATE SEQUENCE xml_returnfield_id_seq;
 
-
 /*
  * Returnfields -- table to store combinations of returnfields requested
  *                  and the number of times this table is accessed
@@ -96,10 +96,11 @@
         usage_count        INT8,                                             -- the number of times this string has been requested
         CONSTRAINT xml_returnfield_pk PRIMARY KEY (returnfield_id)
 );
-CREATE INDEX xml_returnfield_idx1 ON xml_returnfield(returnfield_string);
-                                                                                  
-CREATE SEQUENCE xml_returnfield_id_seq;
-                                                                                  
+CREATE INDEX xml_returnfield_idx1 ON xml_returnfield(returnfield_string);                                                                                 
+ 
+
+CREATE SEQUENCE xml_queryresult_id_seq;
+
 /*
  * Queryresults -- table to store queryresults for a given docid
  * and returnfield_id
@@ -115,7 +116,6 @@
                FOREIGN KEY (returnfield_id) REFERENCES xml_returnfield
 );
 
-CREATE SEQUENCE xml_queryresult_id_seq;
 
 ALTER TABLE xml_nodes ADD nodedatanumerical FLOAT8;
 
Index: src/xmltables.sql
===================================================================
--- src/xmltables.sql	(revision 4079)
+++ src/xmltables.sql	(revision 4080)
@@ -37,6 +37,7 @@
 DROP SEQUENCE xml_returnfield_id_seq;
 DROP SEQUENCE xml_queryresult_id_seq;
 DROP SEQUENCE xml_path_index_id_seq;
+DROP SEQUENCE db_version_id_seq;
 
 /* Drop triggers are not necessary */
 DROP TRIGGER xml_nodes_before_insert;
@@ -48,6 +49,7 @@
 DROP TRIGGER access_log_before_insert;
 DROP TRIGGER xml_returnfield_before_insert;
 DROP TRIGGER xml_queryresult_before_insert;
+DROP TRIGGER db_version_before_insert;
 
 
 DROP TABLE xml_index;
@@ -68,6 +70,7 @@
 DROP TABLE xml_queryresult;
 DROP TABLE xml_returnfield;
 DROP TABLE xml_path_index;
+DROP TABLE db_version;
 
 /*
  *Replication -- table to store servers that metacat is replicated to
@@ -547,3 +550,24 @@
         FOREIGN KEY (harvest_log_id) REFERENCES harvest_log
 );
 
+/*
+ * db_version -- table to store the version history of this database
+ */
+CREATE TABLE db_version (
+  db_version_id   NUMBER(20),       -- the identifier for the version
+  version         VARCHAR(250),     -- the version number
+  status          NUMBER(20),       -- status of the version
+  date_created    DATE,             -- the datetime on which the version was created
+  CONSTRAINT db_version_pk PRIMARY KEY (db_version_id)
+);
+
+CREATE SEQUENCE db_version_id_seq;
+CREATE TRIGGER db_version_before_insert
+BEFORE INSERT ON db_version FOR EACH ROW
+BEGIN
+  SELECT db_version_id_seq.nextval
+    INTO :new.db_version_id
+    FROM dual;
+END;
+/
+
